summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author Andy Bailey <bailey@akamai.com>2010-04-07 09:32:58 -0500
committer Robby Workman <rworkman@slackbuilds.org>2010-05-15 10:24:15 +0200
commit669ea352d9812695a8921a735bb0ab63ea32414d (patch)
tree075408868afd727fb83d2b5671d21a794000637b /development
parent3d010c16bdf8f9d0cbb88bf31b5938fcd67eebd0 (diff)
downloadslackbuilds-669ea352d9812695a8921a735bb0ab63ea32414d.tar.gz
slackbuilds-669ea352d9812695a8921a735bb0ab63ea32414d.tar.xz
development/ldns: Added.
ldns is a DNS toolkit.
Diffstat (limited to 'development')
-rw-r--r--development/ldns/README4
-rwxr-xr-xdevelopment/ldns/ldns.SlackBuild121
-rw-r--r--development/ldns/ldns.info10
-rw-r--r--development/ldns/slack-desc19
4 files changed, 154 insertions, 0 deletions
diff --git a/development/ldns/README b/development/ldns/README
new file mode 100644
index 0000000000..8105fdac5c
--- /dev/null
+++ b/development/ldns/README
@@ -0,0 +1,4 @@
+The goal of ldns is to simplify DNS programming; it supports recent RFCs
+like the DNSSEC documents, and allows developers to easily create software
+conforming to current RFCs and experimental software for current Internet
+Drafts.
diff --git a/development/ldns/ldns.SlackBuild b/development/ldns/ldns.SlackBuild
new file mode 100755
index 0000000000..35949ac25b
--- /dev/null
+++ b/development/ldns/ldns.SlackBuild
@@ -0,0 +1,121 @@
+#!/bin/sh
+
+# Copyright 2008, 2009 Eric Hameleers, Eindhoven, NL
+# Copyright 2008, 2009 Patrick J. Volkerding, Sebeka, MN USA
+# Copyright 2010, R. Andrew Bailey, Chantilly, VA USA
+# All rights reserved.
+#
+# Permission to use, copy, modify, and distribute this software for
+# any purpose with or without fee is hereby granted, provided that
+# the above copyright notice and this permission notice appear in all
+# copies.
+#
+# THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
+# IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
+# CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
+# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
+# USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
+# ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
+# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
+# OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
+# SUCH DAMAGE.
+
+# -----------------------------------------------------------------------------
+# Slackware SlackBuild script
+# ===========================
+# By: R. Andrew Bailey
+# For: ldns
+# Descr: The goal of ldns is to simplify DNS programming
+# URL: http://www.nlnetlabs.nl/projects/ldns/
+# -----------------------------------------------------------------------------
+
+PRGNAM=ldns
+VERSION=${VERSION:-1.6.4}
+ARCH=${ARCH:-i486}
+TAG=${TAG:-_SBo}
+BUILD=${BUILD:-1}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "s390" ]; then
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${PRGNAM}-${VERSION}
+tar xvf $CWD/${PRGNAM}-${VERSION}.tar.gz || exit 1
+cd ${PRGNAM}-${VERSION} || exit 1
+
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CXXFLAGS="$SLKCFLAGS" \
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a LICENSE README* $PKG/usr/doc/$PRGNAM-$VERSION
+
+cd drill
+ CXXFLAGS="$SLKCFLAGS" \
+ CFLAGS="$SLKCFLAGS" \
+ ./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --localstatedir=/var \
+ --sysconfdir=/etc \
+ --mandir=/usr/man \
+ --disable-static \
+ --build=$ARCH-slackware-linux
+ make
+ make install DESTDIR=$PKG
+ mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/drill
+ cp -a ChangeLog* README REGRESSIONS $PKG/usr/doc/$PRGNAM-$VERSION/drill
+ find $PKG/usr/doc -type f -exec chmod 644 {} \;
+cd ..
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -name "*.?" -exec gzip -9f {} \;
+find $PKG/usr/man -type f -exec chmod 0644 {} \;
+for i in $(find $PKG/usr/man -type l -name "*.?") ; do
+ ln -s $( readlink $i ).gz $i.gz ; rm $i ;
+done
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/ldns/ldns.info b/development/ldns/ldns.info
new file mode 100644
index 0000000000..75eefb31b2
--- /dev/null
+++ b/development/ldns/ldns.info
@@ -0,0 +1,10 @@
+PRGNAM="ldns"
+VERSION="1.6.4"
+HOMEPAGE="http://www.nlnetlabs.nl/projects/ldns/"
+DOWNLOAD="http://www.nlnetlabs.nl/downloads/ldns/ldns-1.6.4.tar.gz"
+MD5SUM="6747d7bd96552ee5d8943f3abb24815f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Andy Bailey"
+EMAIL="bailey@akamai.com"
+APPROVED="rworkman"
diff --git a/development/ldns/slack-desc b/development/ldns/slack-desc
new file mode 100644
index 0000000000..f325a44b5d
--- /dev/null
+++ b/development/ldns/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler---------------------------------------------------|
+ldns: ldns (DNS toolkit)
+ldns:
+ldns: The goal of ldns is to simplify DNS programming; it supports
+ldns: recent RFCs like the DNSSEC documents and allows developers to
+ldns: easily create software conforming to current RFCs and experimental
+ldns: software for current Internet Drafts. A secondary benefit of using
+ldns: ldns is speed; ldns is written in C, so it should be a lot faster
+ldns: than Perl.
+ldns:
+ldns: This package also includes the "drill" utility.
+ldns: